View Issue Details

IDProjectCategoryView StatusLast Update
0005460mantisbtadministrationpublic2008-04-19 05:05
Reportergrangeway Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0a1 
Fixed in Version1.0.0 
Summary0005460: Critical Issues to Fix for Mantis 1.0.0 Release
Description

This issues tracks problems that must be resolved for the release.

The problems that should be included in 1.0 are any problems that occur during normal operation.

TagsNo tags attached.

Relationships

related to 0004937 closedvboctor Mantis 1.0.0a1 Release 
related to 0004181 closed Features in Mantis 1.1 release 
parent of 0005102 closedgrangeway Mantis requires php 4.1, not 4.0.6 as announced 
parent of 0005461 closedvboctor lang directory / strings_french.txt : error in $s_account_reset_msg 
parent of 0005470 closedvboctor Copyright date in footer incorrect 
parent of 0005220 closedgrangeway url parser makes a few mistakes 
parent of 0004564 closedthraxisp an issue of own mantis database defends complete display 
parent of 0005587 closedthraxisp Custom field date type reset to blank 
parent of 0005671 closedthraxisp Summary printing to excel and word empty report 
parent of 0005655 closedthraxisp Problems creating a new account (similar to 0005653
parent of 0005563 acknowledged Reverting a bug back to Resolved when the bug was closed 
parent of 0005451 closedvboctor Danish translation not updatet in CVS 
parent of 0005476 closedthraxisp <b>[Access Level Problem]</b> Can see all docs 
parent of 0005687 closedthraxisp Hide Status of "none" doesn't render properly 
parent of 0005689 closedthraxisp After upgrading to 1.0.0a3 Mantis not working correct 
parent of 0005697 closedthraxisp Simple filter on [Reporter] doesn't work any more 
parent of 0005696 closedthraxisp Custom Field not shown in manage_custom_field_page.php after creation 
parent of 0005700 closedthraxisp Hide Status of "none" doesn't render properly for old filters 
parent of 0005703 closedthraxisp HTML layout problems (Table column numbers mismatch) 
parent of 0005673 closedthraxisp Sort columns by custom fields generate 0000401 error 
parent of 0005694 closedgrangeway Long URLs cause crashes in string_insert_hrefs() 
parent of 0005695 closedgrangeway Long pre sections cause crashes in string_nl2br() 
parent of 0005522 closedthraxisp Emailed activation codes are always incorrect 
parent of 0005712 closedthraxisp Entered custom fields are not stored into the database at status change 
parent of 0005535 closedthraxisp Date filters does not work 
parent of 0005432 closedthraxisp Viewing a bug should change the "current project" 
parent of 0005751 closedthraxisp Javascript XSS vulnerability 
parent of 0005729 closedthraxisp Fatal error when loading default page 
parent of 0005768 closedvboctor Missing new string for strings_german.txt added 
parent of 0005788 closedthraxisp Related to filter is cleaned after changing e.g. Assigned To 
parent of 0005808 closedthraxisp The reporter field in advance filter is not ordered corectly 
parent of 0005791 closedthraxisp Projects marked as "private" can still be seen in Add as Subproject dropdown 
parent of 0005858 closedthraxisp Upgrade from 0.17.5 to 1.0.0a3 fails 
parent of 0005889 closedthraxisp What's with all these queries 
parent of 0005977 closedatrol SQL error when setting filter 
parent of 0005861 closedthraxisp APPLICATION ERROR 0000700 on manage_proj_edit_page.php?project_id=xx 
parent of 0006035 acknowledged Custom fields are not supported for group actions 
parent of 0006118 closedthraxisp Database query failure - click on Docs link - MySQL 3.23 
parent of 0006427 closedWanderer chinese_simplified_utf8 has php script bug; 
parent of 0006432 closedjlatour error processing does not work! 
parent of 0006431 closedatrol Filters are not saved when switching between project 
parent of 0006307 closedgrangeway Upgrade from 1.0.0a2 to 1.0.0rc2 fails trying to create mantis_config_table which already exists 
parent of 0006014 closedthraxisp 0.19.2 Update Database MySQL doesn't work 
parent of 0006469 closeddregad Wrong email headers 
parent of 0006468 closedgrangeway My View page incorrectly sets filters 
parent of 0006464 closedcproensa User Sign-up problem 
parent of 0006222 closedgrangeway User-Password reset & verify 
parent of 0004784 closedatrol Clicking the validation link in an email at Hotmail causes App Error #-12 
parent of 0005557 closeddregad When i feedback an issue, the custom field doesn't work 
parent of 0004798 closedatrol Out of memory crash when running summary_page.php 
parent of 0006394 closedthraxisp Unknown column p.field_id when closing bug when using MySQL >= 5.0.12 
parent of 0003030 confirmed back slash in search string not escaped 
parent of 0003619 confirmed BASIC_AUTH automatically saves plain-text password in database 
parent of 0003465 confirmed BASIC_AUTH login failure if user change password 
parent of 0006494 closedachumakov charset iso-8859-2 not supported 
parent of 0006510 closedthraxisp Port: Additional XSS Vulnerabilities in Filter 
Not all the children of this issue are yet resolved or closed.

Activities

Lynk

Lynk

2006-01-27 10:25

reporter   ~0012028

Should issue 6640 be a child of this? E:Mails failing to be sent when the assigned developer is changed via the "change status" page bug_change_status_page.php

Issue History

Date Modified Username Field Change
2005-04-20 05:09 grangeway New Issue
2005-04-20 07:40 grangeway Status new => confirmed
2005-04-20 07:40 grangeway Sticky Issue No => Yes
2005-04-20 07:44 vboctor Relationship added related to 0004937
2005-04-20 07:46 grangeway Relationship added parent of 0005102
2005-04-20 07:49 vboctor Relationship added related to 0004181
2005-04-20 10:34 vboctor Relationship added parent of 0005461
2005-04-22 06:31 vboctor Relationship added parent of 0005470
2005-04-22 14:48 grangeway Relationship added parent of 0005220
2005-04-22 15:15 grangeway Relationship added parent of 0004564
2005-05-25 17:45 grangeway Relationship added parent of 0005587
2005-05-31 13:21 thraxisp Summary Mantis 1.0.x Release => Critical Issues to Fix for Mantis 1.0.0 Release
2005-05-31 13:21 thraxisp Description Updated
2005-05-31 13:45 thraxisp Relationship added parent of 0005671
2005-05-31 14:00 thraxisp Relationship added parent of 0005655
2005-05-31 14:12 thraxisp Relationship added parent of 0005563
2005-05-31 14:14 thraxisp Relationship added parent of 0005451
2005-05-31 14:15 thraxisp Relationship added parent of 0005476
2005-05-31 14:46 thraxisp Relationship added parent of 0005687
2005-06-01 07:37 thraxisp Relationship added parent of 0005689
2005-06-02 07:17 thraxisp Relationship added parent of 0005697
2005-06-02 07:18 thraxisp Relationship added parent of 0005696
2005-06-03 08:31 thraxisp Relationship added parent of 0005700
2005-06-03 15:00 thraxisp Relationship added parent of 0005703
2005-06-03 15:01 thraxisp Relationship added parent of 0005673
2005-06-03 15:17 thraxisp Relationship added parent of 0005694
2005-06-03 15:18 thraxisp Relationship added parent of 0005695
2005-06-05 17:33 thraxisp Relationship added parent of 0005522
2005-06-06 08:57 thraxisp Relationship added parent of 0005712
2005-06-07 09:16 thraxisp Relationship added parent of 0005535
2005-06-08 10:41 thraxisp Relationship added parent of 0005432
2005-06-08 18:44 vboctor Relationship added parent of 0005751
2005-06-09 16:09 thraxisp Relationship added parent of 0005729
2005-06-14 12:32 thraxisp Relationship added parent of 0005768
2005-06-15 07:38 thraxisp Relationship added parent of 0005788
2005-06-17 17:23 thraxisp Relationship added parent of 0005808
2005-06-21 07:29 thraxisp Relationship added parent of 0005791
2005-06-29 14:16 thraxisp Relationship added parent of 0005858
2005-07-12 16:13 thraxisp Relationship added parent of 0005889
2005-07-19 12:44 thraxisp Relationship added parent of 0005977
2005-07-25 17:52 thraxisp Relationship added parent of 0005861
2005-07-28 12:23 thraxisp Relationship added parent of 0006035
2005-08-16 08:52 thraxisp Relationship added parent of 0006118
2005-11-22 08:36 ryandesign Relationship added parent of 0006427
2005-11-26 18:52 ryandesign Relationship added parent of 0006432
2005-11-26 18:54 ryandesign Relationship added parent of 0006431
2005-12-04 18:32 jlatour Relationship added parent of 0006307
2005-12-04 18:32 jlatour Relationship added parent of 0006014
2005-12-06 18:25 jlatour Relationship added parent of 0006469
2005-12-06 18:39 jlatour Relationship added parent of 0006468
2005-12-06 18:48 jlatour Relationship added parent of 0006464
2005-12-06 18:50 jlatour Description Updated
2005-12-06 18:57 jlatour Relationship added parent of 0006222
2005-12-06 19:19 jlatour Relationship added parent of 0004784
2005-12-07 02:52 jlatour Relationship added parent of 0005557
2005-12-07 03:01 jlatour Relationship added parent of 0004798
2005-12-07 08:45 jlatour Relationship added parent of 0006394
2005-12-07 10:42 jlatour Relationship added parent of 0003030
2005-12-08 04:51 jlatour Relationship added parent of 0003619
2005-12-08 04:51 jlatour Relationship added parent of 0003465
2005-12-13 17:04 jlatour Relationship added parent of 0006494
2005-12-18 08:24 jlatour Relationship added parent of 0006510
2006-01-27 10:25 Lynk Note Added: 0012028
2006-02-04 05:55 vboctor Status confirmed => resolved
2006-02-04 05:55 vboctor Fixed in Version => 1.0.0
2006-02-04 05:55 vboctor Resolution open => fixed
2006-02-04 05:55 vboctor Assigned To => vboctor
2006-02-04 06:02 vboctor Status resolved => closed
2008-04-19 05:05 vboctor Sticky Issue Yes => No